<?php
//
$SYS_FOC="Nom";//Primer control en recibir el focus
//
$Nom=V($_POST['Nom']);
$Pre=V($_POST['Pre']);
$Hab=V($_POST['Hab']);
$MinNac=V($_POST['MinNac']);
$SmsNac=V($_POST['SmsNac']);
$GbNac=V($_POST['GbNac']);
$MinInt=V($_POST['MinInt']);
$SmsInt=V($_POST['SmsInt']);
$GbInt=V($_POST['GbInt']);
$GbAv=V($_POST['GbAv']);
$GbFc=V($_POST['GvFc']);
$GbTe=V($_POST['GbTe']);
$GbBo=V($_POST['GbBo']);
//
$LIMPIAR=0;
//
//ACTIVAR DESDE OTRA PAGINA
if(strlen($StrId)==0){
	$StrId=V($_GET['Id']);
	if(is_numeric($StrId)==false){
		$StrId="";
	}else{
		$StrCmd="AR";
		$LStrPag=V($_GET['Pag']);
		if(!is_numeric($LStrPag)){
			$LStrPag="";
		}
	}
}
//FUNCION PARA ACTIVAR UN REGISTRO
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("vis_planes","ID=$Id");
	$Nom=$r['NOM'];
	$Pre=$r['PRE'];
	$Hab=$r['HAB'];
	$MinNac=$r['MIN_NAC'];
	$SmsNac=$r['SMS_NAC'];
	$GbNac=$r['GB_NAC'];
	$MinInt=$r['MIN_INT'];
	$SmsInt=$r['SMS_INT'];
	$GbInt=$r['GB_INT'];
	$GbAv=$r['GB_AV'];
	$GbFc=$r['GB_FC'];
	$GbTe=$r['GB_TE'];
	$GbBo=$r['GB_BO'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
	$Pre_=vbval($Pre);
}
//
if($StrCmd=="G"){
	$PX=gn("count(*)","planes","pln_nom='$Nom'");
	if($PX>0){
		$SYS_MSG="Plan ya registrado";
	}else{
		$Id=GenId("id_pln","planes");
		$s="INSERT INTO planes 
			VALUES ($Id,'$Nom',$Pre_,'$Hab','$MinNac',
			'$SmsNac','$GbNac','$MinInt','$SmsInt',
			'$GbInt','$GbAv','$GbFc','$GbTe','$GbBo')";
		ejt($s);	
		//			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="M"){
	$PX=gn("count(*)","planes","pln_nom='$Nom' AND id_pln<>$StrId");
	if($PX>0){
		$SYS_MSG="Marca ya registrada";
	}else{
		$s="UPDATE planes 
			SET pln_nom='$Nom',pln_pre=$Pre_,pln_hab='$Hab',
			pln_nac_min='$MinNac',
			pln_nac_sms='$SmsNac',pln_nac_gb='$GbNac',
			pln_int_min='$MinInt',pln_int_sms='$SmsInt',
			pln_int_gb='$GbInt',pln_gb_av='$GbAv',
			pln_gb_fc='$GbFc',pln_gb_te='$GbTe',pln_gb_bo='$GbBo' 
			WHERE id_pln=$StrId";
		ejt($s);
		//		
		$SYS_MSG="Datos actualizados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){		
	$s="DELETE FROM planes WHERE id_pln=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$LIMPIAR=1;	
}
//
if($StrCmd=="EF"){
	//$FActual=ImgA("fotos/pro".$StrId);
	//ImgE($FActual);
}	
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
	$Pre="";
	$Hab="";
	$MinNac="";
	$SmsNac="";
	$GbNac="";
	$MinInt="";
	$SmsInt="";
	$GbInt="";
	$GbAv="";
	$GbFc="";
	$GbTe="";
	$GbBo="";
}
?>
